VERSION 5.00
Begin VB.Form frmEditLevel 
   BorderStyle     =   1  'Fixed Single
   Caption         =   "Edit Level"
   ClientHeight    =   4200
   ClientLeft      =   45
   ClientTop       =   330
   ClientWidth     =   5130
   BeginProperty Font 
      Name            =   "Verdana"
      Size            =   8.25
      Charset         =   0
      Weight          =   400
      Underline       =   0   'False
      Italic          =   0   'False
      Strikethrough   =   0   'False
   EndProperty
   Icon            =   "frmEditLevel.frx":0000
   LinkTopic       =   "frmLoadLevel"
   LockControls    =   -1  'True
   MaxButton       =   0   'False
   MinButton       =   0   'False
   ScaleHeight     =   4200
   ScaleWidth      =   5130
   StartUpPosition =   1  'CenterOwner
   Begin VB.ListBox lstLevels 
      Height          =   2595
      Left            =   240
      TabIndex        =   4
      Top             =   840
      Width           =   4650
   End
   Begin VB.Frame Frame1 
      Height          =   60
      Left            =   -75
      TabIndex        =   3
      Top             =   3630
      Width           =   5250
   End
   Begin VB.CommandButton cmdCancel 
      Caption         =   "Cancel"
      Height          =   345
      Left            =   3915
      TabIndex        =   2
      Top             =   3780
      Width           =   1125
   End
   Begin VB.CommandButton cmdOK 
      Caption         =   "OK"
      Default         =   -1  'True
      Enabled         =   0   'False
      Height          =   345
      Left            =   2640
      TabIndex        =   1
      Top             =   3780
      Width           =   1125
   End
   Begin VB.Label Label2 
      AutoSize        =   -1  'True
      BackStyle       =   0  'Transparent
      Caption         =   "Levels:"
      Height          =   195
      Left            =   240
      TabIndex        =   5
      Top             =   615
      Width           =   615
   End
   Begin VB.Label Label1 
      AutoSize        =   -1  'True
      BackStyle       =   0  'Transparent
      Caption         =   "Choose the level you wish to edit."
      Height          =   195
      Left            =   135
      TabIndex        =   0
      Top             =   120
      Width           =   2910
   End
End
Attribute VB_Name = "frmEditLevel"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
'-----------------------------------------------------------
' Program Name: Rodent's Revenge 2000 Level Editor
' Authors:      James Emmrich, Alexander Popov
'
'    http://www.emu8086.com
'
' Module:       frmLoadLevel.frm
'
' Purpose: Allows the user to choose a level to load.
'-----------------------------------------------------------

Option Explicit

'---------------------------------------------------------------
Private Sub cmdCancel_Click()
    Unload Me
End Sub

'---------------------------------------------------------------
Private Sub cmdOK_Click()
    LevelNumber = Val(Left(lstLevels.List(lstLevels.ListIndex), 1)) - 1
    
    Call Editor_DrawGameTable
    
    Unload Me
        
End Sub

'---------------------------------------------------------------
Private Sub Form_Load()
    'Loads listbox with all levels...
    
    Dim i As Integer
    
    For i = 1 To UBound(LevelNames) + 1
        lstLevels.AddItem i & " - " & LevelNames(i - 1)
    Next i
End Sub

'---------------------------------------------------------------
Private Sub lstLevels_Click()
    cmdOK.Enabled = True
End Sub

' #021012
Private Sub lstLevels_DblClick()
    cmdOK_Click
End Sub
