VERSION 5.00
Begin VB.Form frmEditor 
   ClientHeight    =   6735
   ClientLeft      =   165
   ClientTop       =   630
   ClientWidth     =   5745
   BeginProperty Font 
      Name            =   "Verdana"
      Size            =   8.25
      Charset         =   0
      Weight          =   400
      Underline       =   0   'False
      Italic          =   0   'False
      Strikethrough   =   0   'False
   EndProperty
   Icon            =   "frmEditor.frx":0000
   LinkTopic       =   "Form1"
   LockControls    =   -1  'True
   ScaleHeight     =   449
   ScaleMode       =   3  'Pixel
   ScaleWidth      =   383
   Begin VB.Frame fraTiles 
      Caption         =   "Tiles"
      Height          =   900
      Left            =   150
      TabIndex        =   2
      Top             =   5775
      Width           =   5400
      Begin VB.Image imgSprite 
         Height          =   240
         Index           =   3
         Left            =   1170
         Picture         =   "frmEditor.frx":0E42
         Top             =   270
         Width           =   240
      End
      Begin VB.Shape shpTileSelect 
         BorderStyle     =   2  'Dash
         Height          =   255
         Left            =   105
         Top             =   270
         Visible         =   0   'False
         Width           =   255
      End
      Begin VB.Image imgSprite 
         Height          =   240
         Index           =   8
         Left            =   2940
         Picture         =   "frmEditor.frx":1184
         Top             =   270
         Width           =   240
      End
      Begin VB.Image imgSprite 
         Height          =   240
         Index           =   7
         Left            =   2595
         Picture         =   "frmEditor.frx":14C6
         Top             =   270
         Width           =   240
      End
      Begin VB.Image imgMouse2 
         Height          =   240
         Left            =   5055
         Top             =   555
         Width           =   240
      End
      Begin VB.Image imgMouse1 
         Height          =   240
         Left            =   5055
         Top             =   210
         Width           =   240
      End
      Begin VB.Label Label2 
         AutoSize        =   -1  'True
         BackStyle       =   0  'Transparent
         Caption         =   "Mouse 2:"
         Height          =   195
         Left            =   4215
         TabIndex        =   4
         Top             =   555
         Width           =   780
      End
      Begin VB.Label Label1 
         AutoSize        =   -1  'True
         BackStyle       =   0  'Transparent
         Caption         =   "Mouse 1:"
         Height          =   195
         Left            =   4215
         TabIndex        =   3
         Top             =   225
         Width           =   780
      End
      Begin VB.Image imgSprite 
         Height          =   240
         Index           =   0
         Left            =   105
         Picture         =   "frmEditor.frx":1808
         Top             =   270
         Width           =   240
      End
      Begin VB.Image imgSprite 
         Height          =   240
         Index           =   1
         Left            =   462
         Picture         =   "frmEditor.frx":1B4A
         Top             =   270
         Width           =   240
      End
      Begin VB.Image imgSprite 
         Height          =   240
         Index           =   2
         Left            =   819
         Picture         =   "frmEditor.frx":1E8C
         Top             =   270
         Width           =   240
      End
      Begin VB.Image imgSprite 
         Height          =   240
         Index           =   6
         Left            =   2235
         Picture         =   "frmEditor.frx":21CE
         Top             =   270
         Width           =   240
      End
      Begin VB.Image imgSprite 
         Height          =   240
         Index           =   4
         Left            =   1515
         Picture         =   "frmEditor.frx":2510
         Top             =   270
         Width           =   240
      End
      Begin VB.Image imgSprite 
         Height          =   240
         Index           =   5
         Left            =   1875
         Picture         =   "frmEditor.frx":2852
         Top             =   270
         Width           =   240
      End
   End
   Begin VB.Frame Frame 
      Height          =   120
      Left            =   -60
      TabIndex        =   1
      Top             =   -90
      Width           =   5640
   End
   Begin VB.PictureBox picPlayingField 
      Appearance      =   0  'Flat
      AutoRedraw      =   -1  'True
      BackColor       =   &H00E0E0E0&
      BeginProperty Font 
         Name            =   "MS Sans Serif"
         Size            =   8.25
         Charset         =   204
         Weight          =   400
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      ForeColor       =   &H80000008&
      Height          =   5550
      Left            =   90
      MouseIcon       =   "frmEditor.frx":2B94
      MousePointer    =   99  'Custom
      ScaleHeight     =   368
      ScaleMode       =   3  'Pixel
      ScaleWidth      =   368
      TabIndex        =   0
      Top             =   120
      Width           =   5550
      Begin VB.Shape shpStamp 
         BorderStyle     =   2  'Dash
         Height          =   255
         Left            =   1890
         Top             =   2385
         Width           =   255
      End
   End
   Begin VB.Menu mnuFile 
      Caption         =   "&File"
      Begin VB.Menu mnuFileNewLevel 
         Caption         =   "&New Level..."
      End
      Begin VB.Menu mnuFileLoadLevel 
         Caption         =   "&Choose Level to Edit..."
      End
      Begin VB.Menu mnuFileSpacer 
         Caption         =   "-"
      End
      Begin VB.Menu mnuFileExit 
         Caption         =   "Close Editor"
      End
   End
   Begin VB.Menu mnuHelp 
      Caption         =   "&Help"
      Begin VB.Menu mnuHelpTopics 
         Caption         =   "Help &Topics"
         Shortcut        =   {F1}
      End
      Begin VB.Menu mnuHelpSpacer 
         Caption         =   "-"
      End
      Begin VB.Menu mnuHelpAbout 
         Caption         =   "About..."
      End
   End
End
Attribute VB_Name = "frmEditor"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
'-----------------------------------------------------------
' Program Name: Rodent's Revenge 2000 Level Editor
' Authors:      James Emmrich, Alexander Popov
'
'    http://www.emu8086.com
'
' Form:         FrmMain.frm
'
' Purpose: The main program.
'-----------------------------------------------------------

Option Explicit
Dim MouseUp As Boolean            'Holds false if user has mouse button pushed.
Const FrameHeight As Integer = 60 'The height of the tile frame.

'-----------------------------------------------------------
Private Sub Form_Load()

    Me.Caption = EditorTitle & " - [Untitled]"
    
    fraTiles.Caption = "Tiles " & TILE_WIDTH & "x" & TILE_HEIGHT & ", Map " & FIELD_WIDTH & "x" & FIELD_HEIGHT
    MouseUp = True
    
    ' already loaded! #021012
    ''Load all levels...
    ''Call Editor_LoadLevelData
    
    Call Editor_InitGameField
    
    
    Editor_DrawGameTable
    
End Sub

'-----------------------------------------------------------
Private Sub Form_QueryUnload(Cancel As Integer, UnloadMode As Integer)

' #021012
'''    Dim RetVal
'''
'''    'Make sure the user knows that they haven't saved changes yet...
'''    If FieldDirty = True Then
'''        RetVal = MsgBox("You have unsaved work, are you sure you want to exit?", vbQuestion + vbYesNo, "Confirm Save")
'''        If RetVal = vbYes Then
'''            Unload Me
'''            Cancel = False
'''        Else
'''            Cancel = True
'''        End If
'''    Else
'''        Cancel = False
'''        Unload Me
'''    End If

    SaveAllLevels
    
End Sub

Private Sub SaveAllLevels()

' save all levels to files!!

    Dim fNum As Integer
    Dim s As String
    Dim iLevelNum As Integer
    Dim OutputData As String
    Dim i As Integer, j As Integer
    
    fNum = FreeFile
    
    For iLevelNum = 0 To NumOfLevels
           
       s = iLevelNum
    
       Open Add_BackSlash(App.Path) & "Levels\" & make_min_len(s, 5, "0") & ".rodent_level" For Output As fNum

        i = 0
        j = 0

        For j = 0 To NumTableRows 'Row loop...
            For i = 0 To NumTableCols 'Column loop...
                OutputData = Levels(iLevelNum, j, i)
                ' Write #fNum, OutputData
                If i <> NumTableCols Then
                    OutputData = OutputData & ","
                    Print #fNum, OutputData;
                Else
                    Print #fNum, OutputData
                End If
            Next
        Next
        
        OutputData = LevelNames(iLevelNum)
        Write #fNum, OutputData 'Write the levels name...
        
       Close #fNum
       
    Next iLevelNum

End Sub


'-----------------------------------------------------------
Private Sub Form_Resize()
    Frame.Width = Me.ScaleWidth - Frame.Left

    'Note: 4 is the number of pixcls away from the edge of thw window
    fraTiles.Top = Me.ScaleHeight - fraTiles.Height - 4
    fraTiles.Left = 4
    fraTiles.Width = Me.ScaleWidth - 8

    'Center the drawing field...
    picPlayingField.Left = (frmEditor.ScaleWidth / 2) - (picPlayingField.Width / 2)
    picPlayingField.Top = ((frmEditor.ScaleHeight / 2) - (picPlayingField.Height / 2)) - (fraTiles.Height / 2)
End Sub

'-----------------------------------------------------------
Private Sub imgSprite_MouseMove(Index As Integer, Button As Integer, Shift As Integer, X As Single, Y As Single)
    shpTileSelect.Visible = True
    shpTileSelect.Left = imgSprite(Index).Left
    shpTileSelect.Top = imgSprite(Index).Top
End Sub

'-----------------------------------------------------------
Private Sub imgSprite_MouseUp(Index As Integer, Button As Integer, Shift As Integer, X As Single, Y As Single)
    'Set the stamps image...
    If Button = 1 Then
        Mouse1Tile = Index
        imgMouse1.Picture = imgSprite(Mouse1Tile).Picture
    ElseIf Button = 2 Then
        Mouse2Tile = Index
        imgMouse2.Picture = imgSprite(Mouse2Tile).Picture
    End If
End Sub

'-----------------------------------------------------------
Private Sub mnuFileExit_Click()
    Unload Me
End Sub

'-----------------------------------------------------------
Private Sub mnuFileLoadLevel_Click()
'Displays the load level dialog.

    frmEditLevel.Show vbModal
End Sub

'-----------------------------------------------------------
Private Sub mnuFileNewLevel_Click()
'Resets the game field.
Call Editor_InitGameField

    
' doesn't work!
''''Redeclare level arrays to proper size...
'''NumOfLevels = NumOfLevels + 1
'''ReDim Preserve LevelNames(NumOfLevels) As String
'''ReDim Preserve Levels(NumOfLevels, NumTableCols, NumTableRows) As Integer
'''

    
    ' save all levels:
    SaveAllLevels
    
    ' create new level file:
    FileCopy Add_BackSlash(App.Path) & "Levels\" & "new.rodent_level", Add_BackSlash(App.Path) & "Levels\" & make_min_len((NumOfLevels + 1), 5, "0") & ".rodent_level"
    
    ' reload:
    LoadLevelData
    
    LevelNumber = NumOfLevels
    LevelNames(LevelNumber) = InputBox("Enter level name: ")
    
    ' update field:
    Editor_DrawGameTable
    
    
' #021012
' no need to ask for save, since we are editing level data directly.
''    Dim RetVal
''
''    'Make sure the user knows that they haven't saved changes yet...
''    If FieldDirty = True Then
''        RetVal = MsgBox("You have unsaved work, are you sure you want to exit?", vbCritical + vbYesNo, "Confirm Exit")
''        If RetVal = vbYes Then
''            Call Editor_InitGameField
''        End If
''    End If
    
End Sub


'-----------------------------------------------------------
Private Sub mnuHelpAbout_Click()
'Displays the HelpAbout dialog.
    
    frmAbout.Show vbModal, Me

End Sub

'-----------------------------------------------------------
Private Sub mnuHelpTopics_Click()
    'Show the simple little readme.txt file...
    'later I can go all out and make a hlp or chm file...
    ShellExecute Me.hwnd, "open", "notepad.exe", "lvleditor.txt", App.Path, SW_SHOWNORMAL
End Sub

'-----------------------------------------------------------
Private Sub picPlayingField_MouseDown(Button As Integer, Shift As Integer, X As Single, Y As Single)
    MouseUp = False
    
    'Stamp the tile...
    If Button = 1 Then
        picPlayingField.PaintPicture imgMouse1.Picture, shpStamp.Left, shpStamp.Top
    ElseIf Button = 2 Then
        picPlayingField.PaintPicture imgMouse2.Picture, shpStamp.Left, shpStamp.Top
    End If
    
    FieldDirty = True
    
    ' ======================================================
    ' #021012
    Update_Level_Data Button
    ' ======================================================
    
End Sub

' #021012
Private Sub Update_Level_Data(Button As Integer)
    ' save directly to level data:
    Dim iX As Integer
    Dim iY As Integer
    
    iX = shpStamp.Left \ TILE_WIDTH
    iY = shpStamp.Top \ TILE_HEIGHT
    
    If Button = 1 Then
        Levels(LevelNumber, iY, iX) = Mouse1Tile
    ElseIf Button = 2 Then
        Levels(LevelNumber, iY, iX) = Mouse2Tile
    End If
End Sub

'-----------------------------------------------------------
Private Sub picPlayingField_MouseMove(Button As Integer, Shift As Integer, X As Single, Y As Single)
    'Move the stamp horizontally...
    shpStamp.Left = (X \ TILE_WIDTH) * TILE_WIDTH
    
    'Move the stamp virtically...
    shpStamp.Top = (Y \ TILE_HEIGHT) * TILE_HEIGHT
    
    If MouseUp = False Then
        'Stamp the tile...
        If Button = 1 Then
            picPlayingField.PaintPicture imgMouse1.Picture, shpStamp.Left, shpStamp.Top
        ElseIf Button = 2 Then
            picPlayingField.PaintPicture imgMouse2.Picture, shpStamp.Left, shpStamp.Top
        End If
                
        ' ======================================================
        ' #021012
        Update_Level_Data Button
        ' ======================================================
    End If
    
    shpTileSelect.Visible = False
End Sub

'-----------------------------------------------------------
Private Sub picPlayingField_MouseUp(Button As Integer, Shift As Integer, X As Single, Y As Single)
    MouseUp = True
End Sub
